#ifndef MOTEURS_H
#define MOTEURS_H

#include <QObject>
#include <QTimer>

class Moteurs : public QObject
{
    Q_OBJECT
public:
    explicit Moteurs(int posMoteurG, int posMoteurD,bool reverseG, bool reverseD, QObject *parent = nullptr);

signals:

public slots:
    void setVt(double vt);
private:
    double m_vt;
    double m_wr;
    double m_vitMoteurD;
    double m_vitMoteurG;
    const int m_posMoteurD;
    const int m_posMoteurG;

    const bool m_reverseD;
    const bool m_reverseG;

    int m_pwmFreq;

    void setVitesse(double vt, double wr);
};

#endif // MOTEURS_H
